NPM-PREFIX(1)

NAME
npm-prefix - Display prefix

  Synopsis

    npm prefix [-g]

  Description

Print the local prefix to standard output. This is the closest parent directory to contain a package.json file or node_modules directory, unless -g is also specified.

If -g is specified, this will be the value of the global prefix. See npm help config for more detail.

  Example

    npm prefix
    /usr/local/projects/foo

    npm prefix -g
    /usr/local

  See Also

    •   npm help root

    •   npm help bin

    •   npm help folders

    •   npm help config

    •   npm help npmrc